.blog_home_newsletter_container {
  padding: 2rem var(--p-4);
  margin: 2rem 0;
  width: 100%;
  background-color: var(--gray-light-6);
  font-family: var(--font-family-3);
}

.blog_home_newsletter__title {
  font-family: var(--font-family-3);
  font-size: var(--text-3xl);
  font-weight: var(--weight-bolder);
  line-height: 1.625rem;
  text-align: center;
  color: var(--gray-dark);
  margin: 0;
}
/* Form */
.blog_home_newsletter__form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 1.75rem;
  padding: 2.5rem 0 0;
}

.blog_home_newsletter__form__input_text:focus, 
.blog_home_newsletter__form__input_text:focus-within, 
.blog_home_newsletter__form__input_text:target, 
.blog_home_newsletter__form__input_text:visited, 
.blog_home_newsletter__form__input_text {
  padding: 0.625rem var(--p-3);
  width: 100%;
  font-family: var(--font-family-2);
  font-size: var(--text-lg);
  border: none;
  border-bottom: 1px solid var(--gray-dark-11);
  background: transparent;
  outline: none;
  transition: all 0.6s linear;
  color: var(--gray-dark-11);
}

.blog_home_newsletter__form__input_text:active,
.blog_home_newsletter__form__input_text:hover {
  border-bottom-color: var(--brand, #414141);
  box-shadow: 0 1px 0 0 transparent, 0 1px 0 0 var(--brand, #414141);
}
.blog_home_newsletter__form__input_text::placeholder{
  color: var(--gray-dark-11);
}


.blog_home_newsletter__form__group_checkbox {
  display: flex;
  justify-content: space-between;
  gap: 0.75rem;
}

.blog_home_newsletter__form__group_checkbox__input {
  position: relative;
  width: 1.5rem;
  height: 1.5rem;
  border: 2px solid var(--gray-dark-1, #414141);
  background: var(--brand);
}

.blog_home_newsletter__form__group_checkbox__label {
  font-family: var(--font-family-2);
  font-size: var(--text-md);
  line-height: 1.375rem;
  color: var(--gray-dark-11);
}

.blog_home_newsletter__form__submit {
  width: 100%;
  background: var(--gray-dark);
  color: var(--brand-white, #fff);
  text-transform: uppercase;
  letter-spacing: 1px;
  min-height: 3rem;
  border: none;
}
.blog_home_newsletter__form__submit:disabled{
  background: #E5F0DB;
  color: #9b9b9b;
  border: none;
}

.blog_home_newsletter__form__submit:hover {
  background-color: var(--brand-white);
  color: var(--brand-light);
}

.blog_home_newsletter__form__submit:active,
.blog_home_newsletter__form__submit.active,
.blog_home_newsletter__form__submit {
  /* background-color: var(--brand); */
}

.blog_home_newsletter__message_success,
.blog_home_newsletter__message_error {
  color: var(--alert-success-email, #318234);
  padding: var(--p-4) 0;
  font-size: var(--text-md);
  font-weight: var(--weight-bolder);
}

.blog_home_newsletter__message_error {
  color: var(--alert-error-main, #D32F2F);
}

/* 
* Custom Checkbox
*/
.checkbox_input {
  display: none;
}

.checkbox_input+.checkbox_input__label {
  position: relative;
  display: flex;
  cursor: pointer;
}

.checkbox_input+.checkbox_input__label .checkbox_input__label__icon_box {
  position: relative;
  width: 1.375rem;
  height: 1.375rem;
  padding-left: 2.125rem;
}

.checkbox_input+.checkbox_input__label .checkbox_input__label__icon_box:before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 1.375rem;
  height: 1.375rem;
  border: 2px solid var(--brand-light);
  border-radius: 2px;
  background-color: transparent;
  transition: all 0.6s;
}

.checkbox_input:checked+.checkbox_input__label .checkbox_input__label__icon_box:before {
  background-color: var(--brand-light);
  border: 2px solid var(--brand-light);
}

.checkbox_input+.checkbox_input__label .checkbox_input__label__icon_box:after {
  content: "✔";
  font-size: 1.2rem;
  color: var(--brand-white);
  position: absolute;
  top: calc(50% + 0.05rem);
  left: calc(50% - 0.4rem);
  transform: translate(-50%, -50%);
  opacity: 0;
}

.checkbox_input:checked+.checkbox_input__label .checkbox_input__label__icon_box:after {
  opacity: 1;
}

/* 
* Medias
*/
@media (min-width: 500px) {}

@media (min-width: 537px) {}

@media (min-width: 768px) {}

@media (min-width: 1200px) {
  .blog_home_newsletter__title {
    font-size: var(--text-xl);
    line-height: 2.125rem;
  }

  .blog_home_newsletter_container {
    padding: 2rem 1.25rem;
  }
}

@media (min-width: 1800px) {
  .blog_home_newsletter_container {
    padding: 2rem;
  }
}